package cz.upol;

public class Person {

    public enum Status {
        SENIOR("Senior"),
        JUNIOR("Junior"),
        ADULT("Adult");

        private final String description;

        Status(String description) {
            this.description = description;
        }

        public String getDescription() {
            return description;
        }
    }

    private static final int JUNIOR_AGE_THRESHOLD = 18;
    private static final int SENIOR_AGE_THRESHOLD = 65;

    private int age;

    public Person(int age) {
        this.age = age;
    }

    public int getAge() {
        return age;
    }

    public boolean setAge(int age) {
        if (age < 0) {
            return false;
        }
        this.age = age;
        return true;
    }

    public Status getStatus() {
        if (this.age <= JUNIOR_AGE_THRESHOLD) {
            return Status.JUNIOR;
        } else if (this.age <= SENIOR_AGE_THRESHOLD) {
            return Status.SENIOR;
        }
        return Status.ADULT;
    }
}
